--- old/usr/src/pkg/manifests/developer-library-lint.mf	2017-09-04 19:56:19.664135413 +0000
+++ new/usr/src/pkg/manifests/developer-library-lint.mf	2017-09-04 19:56:19.676500200 +0000
@@ -26,8 +26,7 @@
 #
 
 set name=pkg.fmri value=pkg:/developer/library/lint@$(PKGVERS)
-set name=pkg.description \
-    value="lint libraries and startup objects for software development"
+set name=pkg.description value="lint libraries for software development"
 set name=pkg.summary value="Lint Libraries"
 set name=info.classification value=org.opensolaris.category.2008:Development/C
 set name=variant.arch value=$(ARCH)
@@ -200,10 +199,6 @@
 file path=lib/llib-luuid.ln
 file path=lib/llib-lxnet
 file path=lib/llib-lxnet.ln
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/crt1.o
-file path=usr/lib/$(ARCH64)/crti.o
-file path=usr/lib/$(ARCH64)/crtn.o
-$(i386_ONLY)file path=usr/lib/$(ARCH64)/gcrt1.o
 file path=usr/lib/$(ARCH64)/llib-lads.ln
 file path=usr/lib/$(ARCH64)/llib-ladutils.ln
 file path=usr/lib/$(ARCH64)/llib-lbsdmalloc.ln
@@ -243,16 +238,6 @@
 file path=usr/lib/$(ARCH64)/llib-lvolmgt.ln
 file path=usr/lib/$(ARCH64)/llib-lwrap.ln
 file path=usr/lib/$(ARCH64)/llib-lzoneinfo.ln
-file path=usr/lib/$(ARCH64)/values-Xa.o
-file path=usr/lib/$(ARCH64)/values-Xc.o
-file path=usr/lib/$(ARCH64)/values-Xs.o
-file path=usr/lib/$(ARCH64)/values-Xt.o
-file path=usr/lib/$(ARCH64)/values-xpg4.o
-file path=usr/lib/$(ARCH64)/values-xpg6.o
-$(i386_ONLY)file path=usr/lib/crt1.o
-file path=usr/lib/crti.o
-file path=usr/lib/crtn.o
-$(i386_ONLY)file path=usr/lib/gcrt1.o
 file path=usr/lib/llib-lads
 file path=usr/lib/llib-lads.ln
 file path=usr/lib/llib-ladutils
@@ -339,12 +324,6 @@
 file path=usr/lib/scsi/llib-lses.ln
 file path=usr/lib/scsi/llib-lsmp
 file path=usr/lib/scsi/llib-lsmp.ln
-file path=usr/lib/values-Xa.o
-file path=usr/lib/values-Xc.o
-file path=usr/lib/values-Xs.o
-file path=usr/lib/values-Xt.o
-file path=usr/lib/values-xpg4.o
-file path=usr/lib/values-xpg6.o
 file path=usr/xpg4/lib/$(ARCH64)/llib-lcurses.ln
 file path=usr/xpg4/lib/llib-lcurses
 file path=usr/xpg4/lib/llib-lcurses.ln
@@ -379,18 +358,6 @@
     target=../../../../lib/$(ARCH64)/llib-lcurses.ln
 link path=usr/ccs/lib/$(ARCH64)/llib-ly.ln \
     target=../../../lib/$(ARCH64)/llib-ly.ln
-link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
-    target=../../../lib/$(ARCH64)/values-Xa.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
-    target=../../../lib/$(ARCH64)/values-Xc.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
-    target=../../../lib/$(ARCH64)/values-Xs.o
-link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
-    target=../../../lib/$(ARCH64)/values-Xt.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
-    target=../../../lib/$(ARCH64)/values-xpg4.o
-link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
-    target=../../../lib/$(ARCH64)/values-xpg6.o
 link path=usr/ccs/lib/llib-lcurses target=../../../lib/llib-lcurses
 link path=usr/ccs/lib/llib-lcurses.ln target=../../../lib/llib-lcurses.ln
 link path=usr/ccs/lib/llib-lform target=../../lib/llib-lform
@@ -405,12 +372,6 @@
 link path=usr/ccs/lib/llib-ltermcap.ln target=../../../lib/llib-ltermcap.ln
 link path=usr/ccs/lib/llib-ltermlib target=../../../lib/llib-lcurses
 link path=usr/ccs/lib/llib-ltermlib.ln target=../../../lib/llib-lcurses.ln
-link path=usr/ccs/lib/values-Xa.o target=../../lib/values-Xa.o
-link path=usr/ccs/lib/values-Xc.o target=../../lib/values-Xc.o
-link path=usr/ccs/lib/values-Xs.o target=../../lib/values-Xs.o
-link path=usr/ccs/lib/values-Xt.o target=../../lib/values-Xt.o
-link path=usr/ccs/lib/values-xpg4.o target=../../lib/values-xpg4.o
-link path=usr/ccs/lib/values-xpg6.o target=../../lib/values-xpg6.o
 link path=usr/lib/$(ARCH64)/llib-ladm.ln \
     target=../../../lib/$(ARCH64)/llib-ladm.ln
 link path=usr/lib/$(ARCH64)/llib-laio.ln \
@@ -585,3 +546,5 @@
 link path=usr/lib/llib-luuid.ln target=../../lib/llib-luuid.ln
 link path=usr/lib/llib-lxnet target=../../lib/llib-lxnet
 link path=usr/lib/llib-lxnet.ln target=../../lib/llib-lxnet.ln
+# Used to be incorrectly in this package, pull it in for compatibility
+depend fmri=system/library/c-runtime type=group
--- /dev/null	2017-09-04 19:56:20.000000000 +0000
+++ new/usr/src/pkg/manifests/system-library-c-runtime.mf	2017-09-04 19:56:20.070227050 +0000
@@ -0,0 +1,57 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2016, Richard Lowe.
+set name=pkg.fmri value=pkg:/system/library/c-runtime@$(PKGVERS)
+set name=pkg.description value="C runtime objects"
+set name=pkg.summary value="C Runtime"
+set name=info.classification value=org.opensolaris.category.2008:Development/C
+set name=variant.arch value=$(ARCH)
+file path=usr/lib/$(ARCH64)/crt1.o
+file path=usr/lib/$(ARCH64)/crti.o
+file path=usr/lib/$(ARCH64)/crtn.o
+file path=usr/lib/$(ARCH64)/values-Xa.o
+file path=usr/lib/$(ARCH64)/values-Xc.o
+file path=usr/lib/$(ARCH64)/values-Xs.o
+file path=usr/lib/$(ARCH64)/values-Xt.o
+file path=usr/lib/$(ARCH64)/values-xpg4.o
+file path=usr/lib/$(ARCH64)/values-xpg6.o
+file path=usr/lib/crt1.o
+file path=usr/lib/crti.o
+file path=usr/lib/crtn.o
+file path=usr/lib/values-Xa.o
+file path=usr/lib/values-Xc.o
+file path=usr/lib/values-Xs.o
+file path=usr/lib/values-Xt.o
+file path=usr/lib/values-xpg4.o
+file path=usr/lib/values-xpg6.o
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+link path=usr/ccs/lib/$(ARCH64)/values-Xa.o \
+    target=../../../lib/$(ARCH64)/values-Xa.o
+link path=usr/ccs/lib/$(ARCH64)/values-Xc.o \
+    target=../../../lib/$(ARCH64)/values-Xc.o
+link path=usr/ccs/lib/$(ARCH64)/values-Xs.o \
+    target=../../../lib/$(ARCH64)/values-Xs.o
+link path=usr/ccs/lib/$(ARCH64)/values-Xt.o \
+    target=../../../lib/$(ARCH64)/values-Xt.o
+link path=usr/ccs/lib/$(ARCH64)/values-xpg4.o \
+    target=../../../lib/$(ARCH64)/values-xpg4.o
+link path=usr/ccs/lib/$(ARCH64)/values-xpg6.o \
+    target=../../../lib/$(ARCH64)/values-xpg6.o
+link path=usr/ccs/lib/values-Xa.o target=../../lib/values-Xa.o
+link path=usr/ccs/lib/values-Xc.o target=../../lib/values-Xc.o
+link path=usr/ccs/lib/values-Xs.o target=../../lib/values-Xs.o
+link path=usr/ccs/lib/values-Xt.o target=../../lib/values-Xt.o
+link path=usr/ccs/lib/values-xpg4.o target=../../lib/values-xpg4.o
+link path=usr/ccs/lib/values-xpg6.o target=../../lib/values-xpg6.o
+$(i386_ONLY)link path=usr/lib/$(ARCH64)/gcrt1.o target=crt1.o
+$(i386_ONLY)link path=usr/lib/gcrt1.o target=crt1.o
